# JSInsetList

## Overview

This class is the representation of a mobile list component/form.

## Property Summary

| Type                                                     | Name                                          | Summary                                                                                                                    |
| -------------------------------------------------------- | --------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [headerDataProviderID](#headerdataproviderid) | The text of this data-provider will appear on top of the inset list; if not specified, 'headerText' will be used instead.. |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [headerStyleClass](#headerstyleclass)         | The styleClass of the list header..                                                                                        |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [headerText](#headertext)                     | This text will appear on top of the inset list if 'headerDataProviderID' is not set..                                      |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [name](#name)                                 | The name of this inset list..                                                                                              |
| [String](/reference/servoycore/dev-api/js-lib/string.md) | [relationName](#relationname)                 | Name of the relation to be used by the inset list..                                                                        |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [x](#x)                                       | The x coordinate of the component on the form..                                                                            |
| [Number](/reference/servoycore/dev-api/js-lib/number.md) | [y](#y)                                       | The y coordinate of the component on the form..                                                                            |

## Properties Details

### headerDataProviderID

The text of this data-provider will appear on top of the inset list; if not specified, 'headerText' will be used instead.

**Returns**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```javascript
var insetList = jsform.getInsetList('il1');

var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.name = 'il2';
```

### headerStyleClass

The styleClass of the list header. Can have values from 'a' to 'e'.

**Returns**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```javascript
var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.headerStyleClass = 'e';
```

### headerText

This text will appear on top of the inset list if 'headerDataProviderID' is not set.

**Returns**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```javascript
var insetList = jsform.getInsetList('il1');

var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.name = 'il2';
```

### name

The name of this inset list.

**Returns**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```javascript
var insetList = jsform.getInsetList('il1');

var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.name = 'il2';
```

### relationName

Name of the relation to be used by the inset list.

**Returns**\
[String](/reference/servoycore/dev-api/js-lib/string.md)

**Sample**

```javascript
var insetList = jsform.getInsetList('il1');

var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.name = 'il2';
```

### x

The x coordinate of the component on the form.

**Returns**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```javascript
var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.x = 90;
newInsetList.y = 90;
application.output('location of newInsetList: ' + newInsetList.x + ', ' + newInsetList.y);
```

### y

The y coordinate of the component on the form.

**Returns**\
[Number](/reference/servoycore/dev-api/js-lib/number.md)

**Sample**

```javascript
var newInsetList = jsform.newInsetList(8,insetList.dataSource,insetList.relationName,insetList.headerText,insetList.textDataProviderID);
newInsetList.x = 90;
newInsetList.y = 90;
application.output('location of newInsetList: ' + newInsetList.x + ', ' + newInsetList.y);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/solutionmodel/jsinsetlist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
